{% extends 'base.html' %} {% block content %} {% load static %}
<div class="container">
  <h2 class="text-center">
    Transaksi
  </h2>
  {% if user.is_authenticated %}
  <div class="row mt-3">
    {% for transaksi in transaksi_all %}
    <div class="col-sm-12">
      {% load humanize %}
      <div
        class="online-card text-center all-product-card mb-4 d-flex justify-content-between flex-column"
      >
        <div class="d-flex flex-column align-items-start px-4 py-2 mb-2">
          <h2>{{transaksi.user.username|truncatechars:13}}</h2>
          <span class="text-muted"
            >bought {{transaksi.keranjang.entry.all|length}} unique items.</span>
          {% if transaksi.kupon.kode %}
          <span class="text-muted">using coupon {{transaksi.kupon.kode}}</span>
          {% else %}
          <span class="text-muted">using no coupon</span>
          {% endif %}
          <span class="text-muted">{{transaksi.timestamp|naturaltime}}</span>
        </div>
        <div class="d-flex flex-column">
          <span class="text-muted mt-2"
            >total:
            <strong>Rp. {{transaksi.total_harga|intcomma}}</strong></span
          >
        </div>
      </div>
    </div>
    {% endfor %} 
    {% if not transaksi_all %}
    Tidak ada transaksi 
    {% endif %}
  </div>
  {% else %}
  <h3>Anda belum melakukan login.</h3>
  {% endif %}
</div>
{% endblock %} {% block head %}
<title>
  Transaksi |Tk.PePeW Online Shop
</title>
<link rel="stylesheet" href="{% static 'barang/styles.css' %}" />
<link rel="stylesheet" href="{% static 'transaksi/styles.css' %}" />

{% endblock %} {% block rightsidecontent %}
<div>{% include 'includes/recommended.html' %}</div>
{% endblock %}
